%% Camera Calibration
% These are the results of a camera calibration using
% Bouguet's calibration toolkit


%%

clear
close all
load Calib_Results
dont_ask = 1; % suppress queries

%%

photo_info;
fprintf('\nUsing (wintx,winty)=(%d,%d) - Window size = %dx%d\n',wintx,winty,2*wintx+1,2*winty+1);
fprintf('Note: To reset the window size, run script clearwin (or just clear wintx winty)\n');
fprintf('and run ''Extract grid corners'' again from gui\n');

fprintf('\nChecker square size dX %g dY %g\n',dX_default,dY_default);


%% calibration results

show_calib_results;

%% calibration extrinsics  

close all;
ext_calib;

%% reproject_calib

reproject_calib;

%% visualize distortion

visualize_distortions;


